FROM golang:1.9.2
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY gsdk /go/bin/
RUN chmod +x /go/bin/gsdk
COPY gsdkserver /go/bin/
RUN chmod +x /go/bin/gsdkserver
COPY agollo.json /go/bin/agollo.json
WORKDIR /go/bin

CMD ["/go/bin/gsdk"]
EXPOSE 8080
EXPOSE 10015
